%define upstream_name    Test-HTML-Tidy-Recursive
%define upstream_version 0.6.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Recursively check files in a directory using
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find::Object)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::T5)
BuildRequires: perl(IO::All)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::late) >= 0.10.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module acts as test module which runs the HTML::Tidy manpage on some
directory trees containing HTML/XHTML files and checks that they are all
valid.

It was extracted from a bunch of nearly duplicate test scripts in some of
my (= Shlomi Fish) web sites, as an attempt to avoid duplicate code and
functionality.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.6.2-3.mga10
+ Revision: 2214400
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 0.6.2-2.mga9
+ Revision: 1821419
- Mageia 9 Mass Rebuild

* Wed Oct 21 2020 tv <tv> 0.6.2-1.mga8
+ Revision: 1637436
- update to 0.6.2

* Sat Feb 15 2020 umeabot <umeabot> 0.6.1-2.mga8
+ Revision: 1526784
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 0.6.1-1.mga8
+ Revision: 1415757
- update to 0.6.1

* Fri Mar 15 2019 tv <tv> 0.6.0-1.mga7
+ Revision: 1377517
- update to 0.6.0

* Thu Sep 20 2018 umeabot <umeabot> 0.4.0-2.mga7
+ Revision: 1286661
- Mageia 7 Mass Rebuild

* Thu Nov 30 2017 shlomif <shlomif> 0.4.0-1.mga7
+ Revision: 1180464
- update to 0.4.0

* Sat Nov 04 2017 shlomif <shlomif> 0.2.1-1.mga7
+ Revision: 1175847
- update to 0.2.1

* Fri Nov 03 2017 shlomif <shlomif> 0.2.0-1.mga7
+ Revision: 1175741
- update to 0.2.0

* Sun Jul 23 2017 shlomif <shlomif> 0.0.3-1.mga7
+ Revision: 1128967
- update to v0.0.3

* Sun Jun 19 2016 pterjan <pterjan> 0.0.2-2.mga6
+ Revision: 1034297
- Rebuild for perl 5.22.2

* Mon Feb 15 2016 shlomif <shlomif> 0.0.2-1.mga6
+ Revision: 961540
- imported package perl-Test-HTML-Tidy-Recursive


* Mon Feb 15 2016 cpan2dist 0.0.2-1mga
- initial mageia release, generated with cpan2dist
